import 'dart:async';

import 'package:flutter/services.dart';

class ChecksumPlugin {
  static const MethodChannel _channel =
      const MethodChannel('checksum_plugin');
  static Future<String> getChecksumWithPath(filePath) async {

    Map<String, String> map = {
      "file_path": filePath,
    };
    final String checksum = await _channel.invokeMethod('getChecksum', map);
    return checksum;
  }
}
